function y = numberToString(k,M,L)
%   function y = numberToString(k,M,L)
%   convert number to string of L elements in [0,1,...,M-1]
%   input:
%       k = the number to be converted
%       M = the size of the alphabet
%       L = the length of the output string

    y=zeros(1,L);
    tmp=k;
    for l=1:L
        y(l)=mod(tmp,M);
        tmp=floor(tmp/M);
    end;